KDE 4.2 PyKDE API Reference

- KDE's Python API

# CollectionPropertiesPageFactory Class Reference

`from PyKDE4.akonadi import *`

Namespace: Akonadi

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Methods

Akonadi.CollectionPropertiesPage | createWidget (self, QWidget parent=0)

## Method Documentation

Akonadi.CollectionPropertiesPage createWidget | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the actual page widget.

Parameters:

  | parent | The parent widget.